Subject: RE: bash and '&'
From: [email-masked] (Larry Hall)

29 Mar 1998 03:33:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Bob McGowan <[email-masked]>,
        Alexei Podtelezhnikov <[email-masked]>
Cc: [email-masked]

I found "nohup" in the b19 distribution directory H-i386-cygwin32/bin.
I haven't tried it to see if it works but its there, for me anyway...

Larry

At 03:55 PM 3/23/98 -0800, Bob McGowan wrote:
>A quick check of the tools in the cygwin bin shows that the tool needed
>for this is not there - either just not done yet or may not be possible
>to do given the differences in UNIX and NT.
>
>Also, note that the & is how background processes are run in UNIX
>shells, but is not enough to assure that the program will continue to
>run after logging out (at least for most systems).  On a UNIX system you
>need to either use the "nohup" command or otherwise handle the hangup
>signal generated by most UNIX systems when the modem disconnects.  I
>have no idea how this might be done on an NT system.
>
>----
>Bob McGowan
>i'm bobmcgow at xstor dot com
>Storage Dimensions, Inc.
>
>-----Original Message-----
>From: Alexei Podtelezhnikov [mailto:[email-masked]]
>Sent: Thursday, March 19, 1998 2:01 PM
>To: [email-masked]
>Subject: bash and '&'
>
>
>I want to leave a simple program running after quiting the shell, and
>even logging off. It's done under unix by adding '&'. I failed to do
>this using cygwin32. Is it supposed to behave the same way under
>cygwin32? What should I do?
>
>Thanks.
>Alexei
>
>-
>For help on using this list (especially unsubscribing), send a message
>to
>"[email-masked]" with one line of text: "help".
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".